#include<stdio.h>
#include<stdlib.h>
int fodox(char k)
{   int val;
	if(k=='0')
	val=0;
	else
	{
		if(k=='1'||k=='2'||k=='5')
		val=1;
		else
		{
			if(k=='8'||k=='9')
			val=3;
			else
			val=2;
	
		}
	}
	return val;
}
int main()
{
	int res;
    char string[18];
    
	scanf("%s",&string);
    res=0;
    int i;
    
	for(i=0;string[i]!='\0';i++){
    res+=fodox(string[i]);}
    
	printf("%d",res);

}